print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceclothes = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local clothesHudFile = "Paletten/hud_fill_clothes.dds"
	local clothesHudFileSmall = "Paletten/hud_fill_clothes_smal.dds"
	
    local clothesFilType = g_fillTypeManager:addFillType("CLOTHES", g_i18n:getText("clothes"), true, priceclothes * 1.5, 0.00045, math.rad(10), clothesHudFile, clothesHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasclothes=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasclothes=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CLOTHES" then
		hasclothes=true
	end;
		
end;

		if hasmaize and not hasclothes then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CLOTHES")
		local price = g_fillTypeManager:getFillTypeByName("CLOTHES").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CLOTHES")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)